Faithful 64×64 Resource Pack for Minecraft 1.9.4/1.9/1.8/1.7.10

Faithful 64×64 Resource Pack is based on the original Faithful 32×32 pack and default Minecraft textures but in HD resolution. These textures are very well designed and will soften your Minecraft world once again. With the decent 64×64 resolution, you will get to enjoy the more detailed and artistic views of the Minecraft world

Although, it’s not perfectly an HD texture pack, it really lacks nothing much compared to them. Enjoy the smoother looks of the world with the Faithful 64×64 Texture Pack!

faithful-64x64-resource-pack faithful-64x64-resource-pack-1

Faithful 64×64 Resource Pack 1.9.2 and 1.8.9 received more than 1 million downloads around the world. It has been updated to Minecraft 1.7 two years ago, but the pack is still compatible with a lot of Minecraft versions. You can use it in 1.9 and 1.8 with no problems but some textures may be missing. If you want to try a new updated Faithful pack, you can try Ragecraft Faithful.

Update Logs:

  • Support for Minecraft 1.9.2
  • Support for Minecraft 1.8.9
  • Updated to Minecraft 1.7.10
  • Fixed textures bugs

More screenshots:

faithful-64x64-resource-pack-3 faithful-64x64-resource-pack-4

Faithful 64×64 Resource Pack 1.9.4 Installation

This guide will explain how to install Faithful 64×64 Resource Pack for Minecraft 1.9.4/1.9 and older versions. All download links can be find below.

  1. Make sure you have already installed OptiFine HD.
  2. Download the texture pack/resource pack on this page.
  3. Start Minecraft and go to options.
  4. Click the “Resource Packs” button.
  5. Click the “Open resource pack folder” button.
  6. Place the texture .zip file in this folder.
  7. When you launch Minecraft and click the resource packs button you should now see the pack is installed.

Download:

Credit: HiTeeN

Note: For anyone looking for an updated Faithful 64×64 pack, you can try out the Ragecraft Faithful Resource Pack which has the optional Faithful GUI addon and has been updated to Minecraft 1.9 and 1.8.

Note: If you are still having problems getting the file to work, don’t hesitate to ask for help in the comment section below.